Main Page Groups Namespaces

# sigc::pointer_functor6< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return > Class Template Reference
[ptr_fun()]

pointer_functor6 wraps existing non-member functions with 6 argument(s). More...

Inheritance diagram for sigc::pointer_functor6< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return >:

[legend]
List of all members.

## Public Types

typedef T_return | result_type

## Public Member Functions

| pointer_functor6 ()
| Constructs an invalid functor.
| pointer_functor6 (function_type _A_func)
| Constructs a pointer_functor6 object that wraps an existing function.
T_return | operator() (typename type_trait<T_arg1>::take _A_a1, typename type_trait<T_arg2>::take _A_a2, typename type_trait<T_arg3>::take _A_a3, typename type_trait<T_arg4>::take _A_a4, typename type_trait<T_arg5>::take _A_a5, typename type_trait<T_arg6>::take _A_a6) const
| Execute the wrapped function.

## Protected Attributes

function_type | func_ptr_

## Detailed Description

### template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_return>
class sigc::pointer_functor6< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return >

pointer_functor6 wraps existing non-member functions with 6 argument(s).

Use the convenience function ptr_fun() to create an instance of pointer_functor6.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_arg3 Argument type used in the definition of operator()().
- T_arg4 Argument type used in the definition of operator()().
- T_arg5 Argument type used in the definition of operator()().
- T_arg6 Argument type used in the definition of operator()().
- T_return The return type of operator()().

## Member Typedef Documentation

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_return>
typedef T_return sigc::pointer_functor6<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return>::result_type

## Constructor & Destructor Documentation

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_return>
sigc::pointer_functor6<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return>::pointer_functor6 | ( |  | ) | `[inline]`

| Constructs an invalid functor.

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_return>
sigc::pointer_functor6<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return>::pointer_functor6 | ( | function_type | _A_func | ) | `[inline, explicit]`

Constructs a pointer_functor6 object that wraps an existing function.

Parameters:

  | _A_func | Pointer to function that will be invoked from operator()().

## Member Function Documentation

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_return>
T_return sigc::pointer_functor6<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return>::operator() | ( | typename type_trait<T_arg1>::take | _A_a1,
|  | typename type_trait<T_arg2>::take | _A_a2,
|  | typename type_trait<T_arg3>::take | _A_a3,
|  | typename type_trait<T_arg4>::take | _A_a4,
|  | typename type_trait<T_arg5>::take | _A_a5,
|  | typename type_trait<T_arg6>::take | _A_a6
| ) | const`[inline]`

Execute the wrapped function.

Parameters:

  | _A_a1 | Argument to be passed on to the function.
  | _A_a2 | Argument to be passed on to the function.
  | _A_a3 | Argument to be passed on to the function.
  | _A_a4 | Argument to be passed on to the function.
  | _A_a5 | Argument to be passed on to the function.
  | _A_a6 | Argument to be passed on to the function.

Returns:
  The return value of the function invocation.

## Member Data Documentation

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_return>
function_type sigc::pointer_functor6<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return>::func_ptr_ `[protected]`

The documentation for this class was generated from the following file:

- ptr_fun.h